Android のセキュリティに関する公開情報 - 2024 年 1 月

2024 年 1 月 3 日公開 | 2024 年 1 月 16 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2024-01-05 以降では、以下のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。下記の問題に対するソースコードのパッチは、これから 48 時間の間に Android オープンソース プロジェクト(AOSP)リポジトリにリリースされます。AOSP リンクが利用可能になり次第、この公開情報を改訂します。

下記の問題のうち最も重大度の高いものは、フレームワーク コンポーネントに存在する重大度「高」のセキュリティ脆弱性です。これにより、追加の実行権限がなくてもローカルで権限が昇格されるおそれがあります。 重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づいています。プラットフォームやサービスでのリスク軽減策が、開発目的または不正な回避策により無効となっていると仮定しています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトを使って脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2024-01-01 の脆弱性の詳細

パッチレベル 2024-01-01 に該当するセキュリティ脆弱性の各項目について、以下の各セクションで詳細を説明します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

このセクションの最も重大な脆弱性により、追加の実行権限を必要とすることなく、ローカルで権限が昇格されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2023-21245 A-222446076 [2] EoP 11、12、12L、13、14
CVE-2024-0015 A-300090204 EoP 11、12、12L、13
CVE-2024-0018 A-300476626 EoP 11、12、12L、13、14
CVE-2024-0023 A-283099444 [2] EoP 11、12、12L、13、14
CVE-2024-0019 A-294104969 ID 12、12L、13、14

システム

このセクションの最も重大な脆弱性により、追加の実行権限を必要とすることなく、ローカルで権限が昇格されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2024-0021 A-282934003 EoP 13、14
CVE-2023-40085 A-269271098 ID 12、12L、13
CVE-2024-0016 A-279169188 [2] ID 11、12、12L、13、14
CVE-2024-0017 A-285142084 ID 11、12、12L、13、14
CVE-2024-0020 A-299614635 ID 11、12、12L、13、14

Google Play システム アップデート

プロジェクト Mainline のコンポーネントには次の問題が含まれています。

サブコンポーネント CVE
メディア コーデック CVE-2024-0018

セキュリティ パッチレベル 2024-01-05 の脆弱性の詳細

パッチレベル 2024-01-05 に該当するセキュリティ脆弱性の各項目について、以下で詳細を説明します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載されている番号に、追加の参照へのリンクが設定されています。

Arm コンポーネント

これらの脆弱性は Arm コンポーネントに影響を与えます。詳細については Arm から直接入手できます。これらの問題の重大度の評価は、Arm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-4295
A-275619408* マリ
CVE-2023-5427
A-308188337* Mali

Imagination Technologies

以下の脆弱性は Imagination Technologies コンポーネントに影響を与えます。詳細については Imagination Technologies から直接入手できます。この問題の重大度の評価は、Imagination Technologies から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-21165
A-292001469* PowerVR-GPU

MediaTek コンポーネント

以下の脆弱性は MediaTek コンポーネントに影響を与えます。詳細については MediaTek から直接入手できます。問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-32874
A-309364195
M-MOLY01161803*
モデムの IMS スタック
CVE-2023-32872
A-309367791
M-ALPS08308607*
keyInstall

Unisoc コンポーネント

これらの脆弱性は Unisoc コンポーネントに影響を与えます。詳細については Unisoc から直接入手できます。これらの問題の重大度の評価は、Unisoc から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-48340
A-311290655
U-2228010*
Android
CVE-2023-48341
A-311288752
U-2227052*
Android
CVE-2023-48342
A-311288747
U-2227689*
Android
CVE-2023-48343
A-311290653
U-2227689*
Android
CVE-2023-48344
A-311282174
U-2266624*
Android
CVE-2023-48348
A-311279656
U-2227052*
Android
CVE-2023-48349
A-311279652
U-2219058*
Android
CVE-2023-48350
A-311279655
U-2219062*
Android
CVE-2023-48351
A-311273934
U-2219064*
Android
CVE-2023-48352
A-311273933
U-2153501*
Android

Qualcomm コンポーネント

以下の脆弱性は Qualcomm コンポーネントに影響を与えます。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-33094
A-295908146
QC-CR#3490029 [2]
ディスプレイ
CVE-2023-33108
A-294872878
QC-CR#3594896
ディスプレイ
CVE-2023-33110
A-303101147
QC-CR#3459076 [2]
音声
CVE-2023-33113
A-303101624
QC-CR#3495200 [2]
カーネル
CVE-2023-33114
A-303101495
QC-CR#3520999 [2]
カーネル
CVE-2023-33117
A-303101067
QC-CR#3531543
音声
CVE-2023-33120
A-303101456
QC-CR#3538938 [2] [3]
音声
CVE-2023-43514
A-303101664
QC-CR#3613254
カーネル

Qualcomm クローズドソース コンポーネント

以下の脆弱性は Qualcomm クローズドソース コンポーネントに影響を与えます。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。 問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 重大度 サブコンポーネント
CVE-2023-21651
A-268059825* 重大 クローズドソース コンポーネント
CVE-2023-33025
A-290061199* 重大 クローズドソース コンポーネント
CVE-2023-33036
A-290061245* 重大 クローズドソース コンポーネント
CVE-2022-33275
A-280342403* クローズドソース コンポーネント
CVE-2023-28544
A-280342360* クローズドソース コンポーネント
CVE-2023-28548
A-280342264* クローズドソース コンポーネント
CVE-2023-28557
A-280342461* クローズドソース コンポーネント
CVE-2023-28558
A-280342364* クローズドソース コンポーネント
CVE-2023-28559
A-280342379* クローズドソース コンポーネント
CVE-2023-28560
A-280342458* クローズドソース コンポーネント
CVE-2023-28564
A-280342073* クローズドソース コンポーネント
CVE-2023-28565
A-280341573* クローズドソース コンポーネント
CVE-2023-28567
A-280341537* クローズドソース コンポーネント
CVE-2023-33014
A-290060890* クローズドソース コンポーネント
CVE-2023-33030
A-290061201* クローズドソース コンポーネント
CVE-2023-33032
A-290061658* クローズドソース コンポーネント
CVE-2023-33033
A-290060591* クローズドソース コンポーネント
CVE-2023-33037
A-290061062* クローズドソース コンポーネント
CVE-2023-33040
A-290061061* クローズドソース コンポーネント
CVE-2023-33043
A-295039021* クローズドソース コンポーネント
CVE-2023-33044
A-295039321* クローズドソース コンポーネント
CVE-2023-33062
A-303101463* クローズドソース コンポーネント
CVE-2023-33109
A-303102144* クローズドソース コンポーネント
CVE-2023-33112
A-303101016* クローズドソース コンポーネント
CVE-2023-43511
A-303101323* クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

  • セキュリティ パッチレベル 2024-01-01 以降では、セキュリティ パッチレベル 2024-01-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2024-01-05 以降では、セキュリティ パッチレベル 2024-01-05 以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2024-01-01]
  • [ro.build.version.security_patch]:[2024-01-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2024-01-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報で 2 つのセキュリティ パッチレベルを定義しているのは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2024-01-01 のセキュリティ パッチレベルを使用するデバイスには、このセキュリティ パッチレベルに関連するすべての問題と、それより前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2024-01-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(および前回以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号
U- UNISOC の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Google Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Google Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2024 年 1 月 3 日 情報公開
1.1 2024 年 1 月 16 日 公開情報を改訂し AOSP リンクを追加